﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" encoding="UTF-8"/>
<xsl:variable name="linkflg" select="1" />

<!-- TEMPLATE for esm-leaf.xsl start-->

	<!-- TEMPLATE for esm-label.xsl start-->
<xsl:variable name="leafinfo">Related information</xsl:variable>
<xsl:variable name="addbookmark">My Favorite</xsl:variable>

	<!-- TEMPLATE for esm-label.xsl end -->

  <xsl:template match="leaf/content">
		<xsl:apply-templates select="detail"/>
  </xsl:template>
  
  <xsl:template match="content/title">
    <xsl:value-of select="top"/>
  </xsl:template>

<!-- TEMPLATES for DETAIL -->
<xsl:template match="content/detail">
  <xsl:apply-templates>
    <xsl:with-param name="leafid" select="../../base_info/leaf_id" />
  </xsl:apply-templates>
</xsl:template>

    <!-- filter out detail/item element -->
    <xsl:template match="detail/item"/>
    <xsl:template match="detail/trans_id"/>
    
    <xsl:template match="detail/border">
        <xsl:choose>
        <xsl:when test="@border_style">
        <div>
						<xsl:apply-templates select="@id"/>
            <xsl:attribute name="class">border<xsl:value-of select="@border_style"/></xsl:attribute>
        </div>
        </xsl:when>
        <xsl:otherwise>
        <xsl:element name="hr">
				    <xsl:apply-templates select="@id"/>
				</xsl:element>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="detail/page">
        <div class="pagebreak">
				    <xsl:apply-templates select="@id"/>
        </div>
    </xsl:template>


<!-- TEMPLATES for TEXT -->
<xsl:template match="text">
    <xsl:param name="leafid" /> 
      <div>
		    <xsl:apply-templates select="@id"/>
        <xsl:choose>
        <xsl:when test="not(*|text())">
					    <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
        </xsl:when>
        <xsl:otherwise>
              <xsl:call-template name="text-position">
                <xsl:with-param name="leafid" select="$leafid" />
              </xsl:call-template>
        </xsl:otherwise>
        </xsl:choose>
		  </div>
</xsl:template>

    <xsl:template name="text-position">
      <xsl:param name="leafid" /> 
        <xsl:choose>
        <xsl:when test="@position">
            <div class="{@position}">
                <xsl:call-template name="text-indent">
                  <xsl:with-param name="leafid" select="$leafid" />
                </xsl:call-template>
            </div>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="text-indent">
              <xsl:with-param name="leafid" select="$leafid" />
            </xsl:call-template>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template name="text-indent">
      <xsl:param name="leafid" /> 
        <xsl:choose>
        <xsl:when test="@indent">
            <div class="indent{@indent}">
                <!--<xsl:apply-templates/>-->
                <xsl:call-template name="text-fontsize">
                  <xsl:with-param name="leafid" select="$leafid" />
                </xsl:call-template>
            </div>
        </xsl:when>
        <xsl:otherwise>
            <!--<xsl:apply-templates/>-->
            <xsl:call-template name="text-fontsize">
              <xsl:with-param name="leafid" select="$leafid" />
            </xsl:call-template>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template name="text-fontsize">
      <xsl:param name="leafid" /> 
        <xsl:choose>
        <xsl:when test="ancestor::table and ../@fontsize">
            <div class="{../@fontsize}font">
                <xsl:apply-templates>
                  <xsl:with-param name="leafid" select="$leafid" />
                </xsl:apply-templates>
            </div>
        </xsl:when>
        <xsl:otherwise>
            <xsl:apply-templates>
              <xsl:with-param name="leafid" select="$leafid" />
            </xsl:apply-templates>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

<!--D-WalkPh5 start modified by A.Shoda-->
    <xsl:template match="text/color[@color_nm]">
	<xsl:choose>
        <xsl:when test="@bold='True'">
        <font color="{@color_nm}">
            <xsl:element name="B"><xsl:call-template name="findKey"/></xsl:element>
        </font>
        </xsl:when>
        <xsl:when test="@under_line='True'">
        <font color="{@color_nm}">
	    <xsl:element name="U"><xsl:call-template name="findKey"/></xsl:element>
        </font>
        </xsl:when>
        <xsl:when test="@strike='True'">
        <font color="{@color_nm}">
	    <xsl:element name="S"><xsl:call-template name="findKey"/></xsl:element>
        </font>
        </xsl:when>
        <xsl:otherwise>
        <font color="{@color_nm}">
	    <xsl:call-template name="findKey"/>
        </font>
	</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
<!--D-WalkPh5 end -->
    
    
    <xsl:template match="text/reference[@leaf_id]">
			<xsl:choose>
				<xsl:when test="$linkflg='0'">
				    <xsl:apply-templates select="content/title"/>
		            <xsl:call-template name="findKey"/>
				</xsl:when>
				<xsl:when test="@exist='Y'">
					<xsl:element name="a">
						<xsl:attribute name="href">javascript:referenceOpen('<xsl:value-of select="@leaf_id"/>');</xsl:attribute>
				    <xsl:apply-templates select="content/title"/>
		            <xsl:call-template name="findKey"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
				    <xsl:apply-templates select="content/title"/>
		            <xsl:call-template name="findKey"/>
				</xsl:otherwise>
			</xsl:choose>
    </xsl:template>
    
    <xsl:template match="text/reference_item[@ref]">
        <a href="#{@ref}">
            <xsl:call-template name="findKey"/>
        </a>
    </xsl:template>
    
    <xsl:template match="detail/text/inline_image">
      <xsl:param name="leafid" /> 
        <img>
          <xsl:call-template name="img_attrs">
            <xsl:with-param name="leafid" select="$leafid" />
          </xsl:call-template>
        </img>
    </xsl:template>
    
    <xsl:template match="table//text/inline_image">
      <xsl:param name="leafid" /> 
        <img>
          <xsl:call-template name="img_attrs150">
            <xsl:with-param name="leafid" select="$leafid" />
          </xsl:call-template>
        </img>
    </xsl:template>
    
    <xsl:template match="text/bold">
        <B><xsl:call-template name="findKey"/></B>
    </xsl:template>
    
    <xsl:template match="text/under_line">
        <U><xsl:call-template name="findKey"/></U>
    </xsl:template>
    
    <xsl:template match="text/strike">
        <S><xsl:call-template name="findKey"/></S>
    </xsl:template>
    
    <xsl:template match="text/br">
        <xsl:element name="br"/>
    </xsl:template>

    <xsl:template match="text/text()">
        <xsl:call-template name="findKey"/>
    </xsl:template>

<xsl:template name="findKey">
 <xsl:param select="." name="phrase"/>
 <xsl:choose>
  <xsl:when test="contains($phrase,'  ')">
   <xsl:call-template name="convertspc">
    <xsl:with-param select="$phrase" name="phrase" />
   </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
   <xsl:value-of select="$phrase"/>
  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template name="convertspc">
 <xsl:param name="phrase"/>
  <xsl:value-of select="concat(substring-before($phrase,'  '),' &#160;')"/>
  <xsl:call-template name="findKey">
   <xsl:with-param select="substring-after($phrase,'  ')" name="phrase"/>
  </xsl:call-template>
</xsl:template>

<!-- TEMPLATES for TABLE -->
<xsl:template match="detail/table">
  <xsl:param name="leafid" /> 
    <div align="center" class="table">
    <xsl:if test="@id">
        <a>
        <xsl:attribute name="name">
            <xsl:value-of select="@id"/>
        </xsl:attribute>
        </a>
    </xsl:if>
    <xsl:apply-templates select="caption"/>
    <table>
    <xsl:attribute name="class">
        <xsl:text>tab</xsl:text><xsl:value-of select="@table_type"/>
    </xsl:attribute>
    <xsl:attribute name="col">
        <xsl:value-of select="@cols"/>
    </xsl:attribute>
    <xsl:apply-templates select="col"/>
    <xsl:apply-templates select="t_head|t_body">
      <xsl:with-param name="leafid" select="$leafid" />
    </xsl:apply-templates>
    <!--
    <tfoot>
      <tr>
        <xsl:attribute name="hight">
          <xsl:text>0</xsl:text>
        </xsl:attribute>
        <xsl:for-each select="col">
          <td></td>
        </xsl:for-each>
      </tr>
    </tfoot>
    -->
    </table>
    <xsl:apply-templates select="description"/>
    </div>
</xsl:template>

    <xsl:template match="table/col">
        <colgroup>
        <col>
        <xsl:if test="@width">
            <xsl:attribute name="width">
                <xsl:choose>
        		<xsl:when test="contains(@width, 'pt')">
            		<xsl:value-of select="number(substring-before(@width, 'pt')) * 1.4"/>
        		</xsl:when>
        		<xsl:otherwise>
            		<xsl:value-of select="@width"/>
        		</xsl:otherwise>
    			</xsl:choose>
            </xsl:attribute>
        </xsl:if>
        </col>
        </colgroup>
    </xsl:template>
    <xsl:template match="table/t_head">
      <xsl:param name="leafid" /> 
        <thead>
          <xsl:apply-templates select="tr">
            <xsl:with-param name="leafid" select="$leafid" />
          </xsl:apply-templates>
        </thead>
    </xsl:template>

    <xsl:template match="table/t_body">
      <xsl:param name="leafid" /> 
        <tbody>
          <xsl:apply-templates select="tr">
            <xsl:with-param name="leafid" select="$leafid" />
          </xsl:apply-templates>
        </tbody>
    </xsl:template>

        <xsl:template match="table//tr">
          <xsl:param name="leafid" /> 
            <tr>
                <xsl:if test="@height">
                    <xsl:attribute name="height">
                    	<xsl:choose>
        					<xsl:when test="contains(@height, 'pt')">
            					<xsl:value-of select="number(substring-before(@height, 'pt')) * 1.2"/>
        					</xsl:when>
        					<xsl:otherwise>
            					<xsl:value-of select="@height"/>
        					</xsl:otherwise>
    					</xsl:choose>
    				</xsl:attribute>
                </xsl:if>
                <xsl:if test="position()=last()">
                <!--<xsl:if test="parent::t_head and position()=last()">-->
                    <xsl:attribute name="class"><xsl:text>last</xsl:text></xsl:attribute>
                </xsl:if>
                <xsl:if test="position()=1">
                <!--<xsl:if test="parent::t_head and position()=1">-->
                    <xsl:attribute name="class"><xsl:text>first</xsl:text></xsl:attribute>
                </xsl:if>
                <xsl:for-each select="th|td">
                    <xsl:call-template name="tattrs">
                        <xsl:with-param name="pos" select="1 + count(preceding-sibling::*[not(@colspan)]) + sum(preceding-sibling::*/@colspan)"/>
                        <xsl:with-param name="leafid" select="$leafid" />
                    </xsl:call-template>
                </xsl:for-each>
            </tr>
        </xsl:template>

            <xsl:template name="tattrs">
                <xsl:param name="pos"/>
                <xsl:param name="leafid" /> 
                <xsl:copy>
                    <xsl:if test="@rowspan">
                    <xsl:attribute name="rowspan"><xsl:value-of select="@rowspan"/></xsl:attribute>
                    </xsl:if>
                    <xsl:if test="position()=1">
                      <xsl:choose>
                      <xsl:when test="@colspan">
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:attribute name="class"><xsl:text>first</xsl:text></xsl:attribute>
                      </xsl:otherwise>
                      </xsl:choose>
                    </xsl:if>                    
                    <xsl:choose>
                    <xsl:when test="@colspan">
                        <xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute>
                    </xsl:when>
		    <!-- 20030123 Modified by T.Takada
                    <xsl:otherwise>
                        <xsl:if test="../../../col[position()=$pos]/@width">
                            <xsl:attribute name="width">
                                <xsl:value-of select="../../../col[position()=$pos]/@width"/>
                            </xsl:attribute>
                        </xsl:if>
                    </xsl:otherwise>
		    -->
                    </xsl:choose>
                    <xsl:if test="@align">
                    <xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
                    </xsl:if>
                    <xsl:if test="@valign">
                    <xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>
                    </xsl:if>
                    <xsl:apply-templates>
                      <xsl:with-param name="leafid" select="$leafid" />
                    </xsl:apply-templates>
                </xsl:copy>
            </xsl:template>
            
            
<!-- TEMPLATES for IMAGE -->
<xsl:template match="detail/image">
  <xsl:param name="leafid" /> 
    <div class="image">
    <xsl:if test="image_info/@align">
        <xsl:attribute name="align"><xsl:value-of select="image_info/@align"/></xsl:attribute>
    </xsl:if>
    <xsl:apply-templates select="@id"/>
    <xsl:apply-templates select="caption"/>
    <img>
        <xsl:apply-templates select="image_info">
          <xsl:with-param name="leafid" select="$leafid" />
        </xsl:apply-templates>
    </img>
    <xsl:if test="image_info/@av_file_nm">
        <div><a>
            <xsl:attribute name="href">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="image_info/@av_file_nm"/></xsl:attribute>
            <xsl:call-template name="getfilename">
                <xsl:with-param name="pathname" select="image_info/@av_file_nm"/>
            </xsl:call-template>
            <!--<xsl:text>AV file</xsltext>-->
        </a></div>
    </xsl:if>
    <xsl:apply-templates select="description"/>
    </div>
</xsl:template>

    <xsl:template match="image/image_info">
      <xsl:param name="leafid" /> 
        <xsl:call-template name="img_attrs150">
          <xsl:with-param name="leafid" select="$leafid" />
        </xsl:call-template>
    </xsl:template>


<!-- TEMPLATE for FILE -->
<xsl:template match="detail/file">
  <xsl:param name="leafid" /> 
   <div><a>
    <xsl:attribute name="href">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="file_info/@org_file_nm"/></xsl:attribute>
    <xsl:apply-templates select="@id"/>
    <xsl:choose>
        <xsl:when test="caption">
            <xsl:value-of select="caption"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:call-template name="getfilename">
                <xsl:with-param name="pathname" select="file_info/@org_file_nm"/>
            </xsl:call-template>
        </xsl:otherwise>
    </xsl:choose>
    </a></div>
    <xsl:apply-templates select="description"/>
</xsl:template>


<!-- TEMPLATES for ANIMATION_GIF -->
<xsl:template match="detail/animation_gif">
  <xsl:param name="leafid" /> 
  <xsl:choose>
    <xsl:when test="contains(gif_info/@www_file_nm,'.swf')">
      <xsl:call-template name="flash_temp">
        <xsl:with-param name="leafid" select="$leafid" />
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="animation_temp">
        <xsl:with-param name="leafid" select="$leafid" />
      </xsl:call-template>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="animation_temp">	
  <xsl:param name="leafid" /> 
    <div class="animation_gif">
    <xsl:if test="gif_info/@align">
    <xsl:attribute name="align"><xsl:value-of select="gif_info/@align"/></xsl:attribute>
    </xsl:if>
    <xsl:apply-templates select="@id"/>
    <xsl:apply-templates select="caption"/>
    <img>
        <xsl:apply-templates select="gif_info">
          <xsl:with-param name="leafid" select="$leafid" />
        </xsl:apply-templates>
    </img>
    <xsl:apply-templates select="description"/>
    </div>
</xsl:template>
	
<xsl:template name="flash_temp">	
  <xsl:param name="leafid" /> 
    <div class="animation_gif">
    <xsl:if test="gif_info/@align">
    <xsl:attribute name="align"><xsl:value-of select="gif_info/@align"/></xsl:attribute>
    </xsl:if>
    <xsl:apply-templates select="@id"/>
    <xsl:apply-templates select="caption"/>
    
    <object>
    	<xsl:attribute name="classid">clsid:D27CDB6E-AE6D-11cf-96B8-444553540000</xsl:attribute>
    	<xsl:attribute name="codebase">http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0</xsl:attribute> 
    	<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
    			<xsl:if test="flash_info/opt_params[translate(@opt_param_nm,'WIDTH','width')='width']">
    		<xsl:attribute name="width"><xsl:value-of select="flash_info/opt_params[translate(@opt_param_nm,'WIDTH','width')='width']/@opt_param_value"/></xsl:attribute>
    		</xsl:if>
    		<xsl:if test="flash_info/opt_params[translate(@opt_param_nm,'HEIGHT','height')='height']">
    			<xsl:attribute name="height"><xsl:value-of select="flash_info/opt_params[translate(@opt_param_nm,'HEIGHT','height')='height']/@opt_param_value"/></xsl:attribute>
    		</xsl:if>
    	<param>
    		<xsl:attribute name="name">movie</xsl:attribute>
    		<xsl:attribute name="value">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="gif_info/@www_file_nm"/></xsl:attribute>
    	</param>
    	<param>
    		<xsl:attribute name="name">base</xsl:attribute>
    		<xsl:attribute name="value">../../leaves/<xsl:value-of select="$leafid"/>/</xsl:attribute>
    	</param>
    	<xsl:apply-templates select="flash_info/opt_params"/>
    	<embed>
    		<xsl:attribute name="src">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="gif_info/@www_file_nm"/></xsl:attribute>
    		<xsl:attribute name="base">../../leaves/<xsl:value-of select="$leafid"/>/</xsl:attribute>
    		<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
    		<xsl:attribute name="type">application/x-shockwave-flash</xsl:attribute>
    		<xsl:attribute name="pluginspage">http://www.macromedia.com/go/getflashplayer</xsl:attribute>
    		<xsl:apply-templates select="flash_info/opt_embed"/>
    	</embed>
    </object>
    <xsl:apply-templates select="description"/>
    </div>
</xsl:template>

<xsl:template match="flash_info/opt_params">
	<xsl:if test="translate(@opt_param_nm,'WIDTH','width') != 'width' and translate(@opt_param_nm,'HEIGHT','height') != 'height'">
    	<param>
    		<xsl:attribute name="name">
    			<xsl:value-of select="@opt_param_nm"/>
    		</xsl:attribute>
    		<xsl:attribute name="value">
    			<xsl:value-of select="@opt_param_value"/>
    		</xsl:attribute>
    	</param>
    </xsl:if>
</xsl:template>

<xsl:template match="flash_info/opt_embed">
        <xsl:for-each select="@*">
            <xsl:copy />
        </xsl:for-each>
        <xsl:apply-templates />
</xsl:template>

<xsl:template match="animation_gif/gif_info">
  <xsl:param name="leafid" /> 
    <xsl:call-template name="gif_attrs">
      <xsl:with-param name="leafid" select="$leafid" />
    </xsl:call-template>
</xsl:template>

<!-- SHARED TEMPLATES -->
<xsl:template match="caption">
    <div class="caption"><xsl:value-of select="."/></div>
</xsl:template>

<xsl:template match="description">
    <div class="description"><xsl:value-of select="."/></div>
</xsl:template>

<xsl:template match="@id">
    <xsl:attribute name="id"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>

<xsl:template name="img_attrs150">
  <xsl:param name="leafid" /> 
    <xsl:if test="@www_file_nm">
    <xsl:attribute name="src">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="@www_file_nm"/></xsl:attribute>
    </xsl:if>
    <xsl:if test="@height">
    <xsl:attribute name="height">
    <xsl:choose>
        <xsl:when test="contains(@height, 'pt')">
            <xsl:value-of select="concat(number(substring-before(@height, 'pt')) * 1.5 + 1.0, 'pt')"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="@height * 1.5 + 1.0"/>
        </xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
    </xsl:if>
    <xsl:if test="@width">
    <xsl:attribute name="width">
    <xsl:choose>
        <xsl:when test="contains(@width, 'pt')">
            <xsl:value-of select="concat(number(substring-before(@width, 'pt')) * 1.5 + 1.0, 'pt')"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="@width * 1.5 + 1.0"/>
        </xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
    </xsl:if>
</xsl:template>

<xsl:template name="img_attrs">
  <xsl:param name="leafid" /> 
    <xsl:if test="@www_file_nm">
    <xsl:attribute name="src">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="@www_file_nm"/></xsl:attribute>
    </xsl:if>
    <xsl:if test="@height">
    <xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute>
    </xsl:if>
    <xsl:if test="@width">
    <xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
    </xsl:if>
</xsl:template>

<xsl:template name="gif_attrs">
  <xsl:param name="leafid" /> 
    <xsl:if test="@www_file_nm">
    <xsl:attribute name="src">../../leaves/<xsl:value-of select="$leafid"/>/<xsl:value-of select="@www_file_nm"/></xsl:attribute>
    </xsl:if>
</xsl:template>

<xsl:template name="getfilename">
    <xsl:param name="pathname"/>
    <xsl:choose>
    <xsl:when test="contains($pathname, '/')">
        <xsl:call-template name="getfilename">
            <xsl:with-param name="pathname" select="substring-after($pathname, '/')"/>
        </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
        <xsl:value-of select="$pathname"/>
    </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="spec">
  <xsl:if test="string-length(spec_nm) > 0">
	<TABLE border="0" cellpadding="0" cellspacing="0" class="spec">
		<TR>
		<TH>
			<xsl:choose>
				<xsl:when test="string-length(spec_nm) = 0">
					<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="spec_nm"/>
				</xsl:otherwise>
			</xsl:choose>
		</TH>
		<TD>
			<xsl:choose>
				<xsl:when test="string-length(text) = 0">
					<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:copy-of select="text"/>
				</xsl:otherwise>
			</xsl:choose>
		</TD>
		</TR>
	</TABLE>
  </xsl:if>
</xsl:template>

<!-- TEMPLATE for esm-leaf.xsl end -->


<!-- TEMPLATE for esm-bookmark.xsl start-->

<xsl:variable name="quo">'</xsl:variable>

<xsl:template match="page_info" mode="js">
<script type="text/javascript">
function addBookmark(val){
	var thisurl = document.location.href;
	var pageTitle = 
			'<xsl:call-template name="escapeforjs">
				<xsl:with-param name="str" select="page/title" />
			</xsl:call-template>';
	var bookTitle = 
			'<xsl:call-template name="escapeforjs">
				<xsl:with-param name="str" select="book/title" />
			</xsl:call-template>';
	var favurl = thisurl.substring(0,thisurl.indexOf('page.xml'))+'index.html';
	var favname = '<xsl:value-of select="product/name"/>'
								+'_<xsl:value-of select="series/name"/>'
								+'_<xsl:value-of select="model/name"/>_'
								+bookTitle+'_'+pageTitle;
	window.external.AddFavorite(favurl,favname);
}
</script>
</xsl:template>

<xsl:template name="escapeforjs">
	<xsl:param name="str" /> 
	<xsl:call-template name="delstr">
		<xsl:with-param name="str" select="translate($str,'/\','')" />
		<xsl:with-param name="match" select="$quo" /> 
	</xsl:call-template>
</xsl:template>

<xsl:template name="delstr">
	<xsl:param name="str" />
	<xsl:param name="match" />
	<xsl:choose>
		<xsl:when test="contains($str,$match)">
			<xsl:value-of select="substring-before($str,$match)" />
			<xsl:call-template name="delstr">
				<xsl:with-param name="str" select="substring-after($str,$match)" />
				<xsl:with-param name="match" select="$match" />
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$str" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- TEMPLATE for esm-bookmark.xsl end -->


<!-- TEMPLATE for esm-relation.xsl start-->
<!-- TEMPLATE for RELATION -->
<xsl:template match="leaf/relation">
<span class="relation-link" onclick="parentElement.className='on'"><xsl:value-of select="$leafinfo"/></span>
<div class="relation-body" onclick="parentElement.className='off'">
	<ul>
	<xsl:for-each select="leaf">
		<li>
			<xsl:element name="a">
				<xsl:attribute name="href">
					../../leaves/<xsl:value-of select="leafid"/>/top.html
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="title"/>
				</xsl:attribute>
				<xsl:attribute name="target">contentsframe</xsl:attribute>
				<xsl:value-of select="title"/>
			</xsl:element>
		</li>
	</xsl:for-each>
	<xsl:for-each select="branch">
		<li>
			<xsl:element name="a">
				<xsl:attribute name="href">
					../../index/<xsl:value-of select="structureid"/>/top.html
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:value-of select="title"/>
				</xsl:attribute>
				<xsl:attribute name="target">contentsframe</xsl:attribute>
				<xsl:value-of select="title"/>
			</xsl:element>
		</li>
	</xsl:for-each>
	</ul>
</div>
</xsl:template>
<!-- TEMPLATE for esm-relation.xsl end -->

<xsl:template match="/esm">
	<html>
	<head>
		<link rel="stylesheet" type="text/css" href="../../system/style/WWUZS002.css" />
		<link rel="stylesheet" type="text/css" href="../../system/style/styles-esm.css" />
		<script type="text/javascript" src="../../system/js/common.js"></script>
		<title></title>
		<xsl:apply-templates select="page_info" mode="js"/>
	</head>
	<body onload="checkFrame();">
	<a name="top"/>
	<div id="header">
			<div id="breadcrumb-navi">
				<xsl:apply-templates select="page_info/section" mode="breadcrumb_navi"/>
				<xsl:apply-templates select="page_info/clause" mode="breadcrumb_navi"/>
				<xsl:apply-templates select="page_info/subclause" mode="breadcrumb_navi"/>
				<xsl:apply-templates select="page_info/smallclause" mode="breadcrumb_navi"/>
				<xsl:apply-templates select="page_info/page" mode="breadcrumb_navi"/>
			</div>
			<div id="page-navi"><a href='javascript:addBookmark()' accesskey="b" class="addbookmark"><img src="../../system/img/f-1.gif" /></a>
			</div>
	</div>
	<div class="clear-both"></div>
	<div id="esmcontents">
	<xsl:apply-templates select="esmcontents"/>
	</div>
	<div id="footer">
		<div id="page-navi">
		</div>
	</div>
	</body>
	</html>
</xsl:template>

<xsl:template match="page_info/chapter|page_info/section|page_info/clause|page_info/subclause|page_info/smallclause" mode="breadcrumb_navi">
	<span class="navi">
		<xsl:value-of select="title"/>
	</span>
</xsl:template>

<xsl:template match="page_info/page" mode="breadcrumb_navi">
	<xsl:if test="@type!='batch'">
		<span class="navithis">
			<xsl:value-of select="title"/>
		</span>
	</xsl:if>
</xsl:template>

<xsl:template match="esmcontents/leaf">
	<div id="leaf">
		<xsl:if test="branch/product_info/model/nm">
			<div class="model_info"><xsl:apply-templates select="branch/product_info/model/nm"/></div>
		</xsl:if>
		<div id="relation" class="off">
			<xsl:apply-templates select="relation"/>
		</div>
		<xsl:element name="div">
			<xsl:attribute name="class">title</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="base_info/leaf_id"/>(<xsl:value-of select="base_info/version"/>-<xsl:value-of select="base_info/revision"/>)</xsl:attribute>
			<xsl:apply-templates select="content/title"/>
		</xsl:element>
		<table width="95%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td>
				<div>
					<xsl:attribute name="class">leafbody <xsl:value-of select="base_info/status"/></xsl:attribute>
					<xsl:apply-templates select="content"/>
				</div>
			</td>
		</tr>
		<tr>
			<td align="right">
				<div onclick="javascript:scrollPageTop();" class="scrollPageTop"><img src="../../system/img/c-3.gif" alt="Back to top" /></div>
			</td>
		</tr>
		</table>
	</div>
</xsl:template>

<xsl:template match="branch/product_info/model/nm">
	<xsl:value-of select="."/> / 
</xsl:template>

</xsl:stylesheet>
